Bug 1281743 - katello-installer parameter --capsule-dhcp-range need a syntax checking and should set the DHCP config to default, when "false" is used
katello-installer parameter --capsule-dhcp-range need a syntax checking and s...
Status: CLOSED WONTFIX
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Installer (Show other bugs)
6.1.3
x86_64 Linux
unspecified Severity medium (vote)
: Unspecified
: --
Assigned To: satellite6-bugs
Katello QA List
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-13 06:20 EST by Marcel Gazdík
Modified: 2017-08-01 16:33 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-01 16:33:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Foreman Issue Tracker 16913 None None None 2016-10-13 12:04 EDT

  None (edit)
Description Marcel Gazdík 2015-11-13 06:20:07 EST
Description of problem:
katello-installer with --capsule-dhcp-range is not able to set to default when using "false" or it doesn't check the syntax.

Version-Release number of selected component (if applicable):
6.1.3

How reproducible:
install satellite witch capsule and dhcp support

Steps to Reproduce:
1. After the satellite with capsule is installed, run:
2. katello-installer --capsule-dhcp-range "1 1" -> will fail, in the config
   will be row like this: range "1 1"
3. katello-installer --capusle-dhcp-range false  -> will fail, in the config
   will be row like this: range false

Actual results:
  There is wrong value for dhcp range

Expected results:
  User receive an error message, when the syntax is not correct or in the case of "false", which supposed to be default, the range will be set to default
Comment 2 Bryan Kearney 2016-07-08 16:39:44 EDT
Per 6.3 planning, moving out non acked bugs to the backlog
Comment 4 Stephen Benjamin 2016-10-13 12:04:48 EDT
Created redmine issue http://projects.theforeman.org/issues/16913 from this bug
Comment 5 Bryan Kearney 2017-08-01 16:33:19 EDT
Thank you for your interest in Satellite 6. We have evaluated this request, and we do not expect this to be implemented in product in the foreseeable future. We are therefore closing this out as WONTFIX. If you have any concerns about this, please feel free to contact Rich Jerrido or Bryan Kearney. Thank you.

Note You need to log in before you can comment on or make changes to this bug.